"use strict";

const dm = require("../");

let SomeItem = dm.createType("SomeItem", {
	data: dm.string()
});

let SomeType = dm.createType("SomeType", {
	values: dm.mapOf(dm.string(), SomeItem)
});

let instance = SomeType({
	values: dm.guard([dm.string(), dm.number()], dm.boolean(), function (str, num) {
		return true;
	})
});
